package com.ygtx.gxt.service.impl;

import java.util.List;
import com.ygtx.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtOrderScoreDetailMapper;
import com.ygtx.gxt.domain.GxtOrderScoreDetail;
import com.ygtx.gxt.service.IGxtOrderScoreDetailService;

/**
 * 工单个人分数明细Service业务层处理
 * 
 * @author ouyj
 * @date 2026-01-21
 */
@Service
public class GxtOrderScoreDetailServiceImpl implements IGxtOrderScoreDetailService 
{
    @Autowired
    private GxtOrderScoreDetailMapper gxtOrderScoreDetailMapper;

    /**
     * 查询工单个人分数明细
     * 
     * @param id 工单个人分数明细主键
     * @return 工单个人分数明细
     */
    @Override
    public GxtOrderScoreDetail selectGxtOrderScoreDetailById(Long id)
    {
        return gxtOrderScoreDetailMapper.selectGxtOrderScoreDetailById(id);
    }

    /**
     * 查询工单个人分数明细列表
     * 
     * @param gxtOrderScoreDetail 工单个人分数明细
     * @return 工单个人分数明细
     */
    @Override
    public List<GxtOrderScoreDetail> selectGxtOrderScoreDetailList(GxtOrderScoreDetail gxtOrderScoreDetail)
    {
        return gxtOrderScoreDetailMapper.selectGxtOrderScoreDetailList(gxtOrderScoreDetail);
    }

    /**
     * 新增工单个人分数明细
     * 
     * @param gxtOrderScoreDetail 工单个人分数明细
     * @return 结果
     */
    @Override
    public int insertGxtOrderScoreDetail(GxtOrderScoreDetail gxtOrderScoreDetail)
    {
        gxtOrderScoreDetail.setCreateTimeReal(DateUtils.getNowDate());
        return gxtOrderScoreDetailMapper.insertGxtOrderScoreDetail(gxtOrderScoreDetail);
    }

    /**
     * 修改工单个人分数明细
     * 
     * @param gxtOrderScoreDetail 工单个人分数明细
     * @return 结果
     */
    @Override
    public int updateGxtOrderScoreDetail(GxtOrderScoreDetail gxtOrderScoreDetail)
    {
        gxtOrderScoreDetail.setUpdateTime(DateUtils.getNowDate());
        return gxtOrderScoreDetailMapper.updateGxtOrderScoreDetail(gxtOrderScoreDetail);
    }

    /**
     * 批量删除工单个人分数明细
     * 
     * @param ids 需要删除的工单个人分数明细主键
     * @return 结果
     */
    @Override
    public int deleteGxtOrderScoreDetailByIds(Long[] ids)
    {
        return gxtOrderScoreDetailMapper.deleteGxtOrderScoreDetailByIds(ids);
    }

    /**
     * 删除工单个人分数明细信息
     * 
     * @param id 工单个人分数明细主键
     * @return 结果
     */
    @Override
    public int deleteGxtOrderScoreDetailById(Long id)
    {
        return gxtOrderScoreDetailMapper.deleteGxtOrderScoreDetailById(id);
    }
}
